Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.types
Class AbstractSequenceType

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.types.AbstractSequenceType

All Implemented Interfaces:
  SequenceType

Direct Known Subclasses:
  AbstractComplexSequenceType, AbstractEnumeratedSequenceType

public abstract class AbstractSequenceType
extends Object
implements SequenceType

AbstractSequenceType.java Created: Thu Feb 17 13:02:28 2000

Version:
  $Id: AbstractSequenceType.java,v 1.5 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Field Summary
`protected Element[]` | `elements`

Constructor Summary
`AbstractSequenceType(Element[][] elements, String name)`
`AbstractSequenceType(Element[] elements, String name)`

Method Summary
`Element[]` | `getElements()` Returns all the elements available in this sequence type.
`String` | `getName()` Returns the human readable form of this sequence type.
`boolean` | `isElement(char element)` Returns a boolean as to whether the specified element is part of this sequence type.
`boolean` | `isElement(char[] element)` Returns a boolean as to whether the specified elements are part of this sequence type.
`boolean` | `isElement(Element element)` Returns a boolean as to whether the specified element is part of this sequence type.
`boolean` | `isElement(Element[] element)` Returns a boolean as to whether the specified elements are part of this sequence type.
`int` | `size()` Returns the number of elements in this sequence type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.SequenceType
`getElementForInt, getIntForElement`

Field Detail

### elements

    protected Element[] elements

Constructor Detail

### AbstractSequenceType

    public AbstractSequenceType(Element[] elements,
                                String name)

### AbstractSequenceType

    public AbstractSequenceType(Element[][] elements,
                                String name)

Method Detail

### isElement

    public boolean isElement(Element element)

  Description copied from interface: `SequenceType`
  Returns a boolean as to whether the specified element is part of this sequence type.

  Specified by:
    `isElement` in interface `SequenceType`
  Parameters:
    `element` - the element
  Returns:
    whether an element

### isElement

    public boolean isElement(Element[] element)

  Description copied from interface: `SequenceType`
  Returns a boolean as to whether the specified elements are part of this sequence type.

  Specified by:
    `isElement` in interface `SequenceType`
  Parameters:
    `element` - the elements
  Returns:
    whether elements

### isElement

    public boolean isElement(char element)

  Description copied from interface: `SequenceType`
  Returns a boolean as to whether the specified element is part of this sequence type.

  Specified by:
    `isElement` in interface `SequenceType`
  Parameters:
    `element` - the element
  Returns:
    whether an element

### isElement

    public boolean isElement(char[] element)

  Description copied from interface: `SequenceType`
  Returns a boolean as to whether the specified elements are part of this sequence type.

  Specified by:
    `isElement` in interface `SequenceType`
  Parameters:
    `element` - the elements
  Returns:
    whether elements

### getName

    public String getName()

  Description copied from interface: `SequenceType`
  Returns the human readable form of this sequence type.

  Specified by:
    `getName` in interface `SequenceType`
  Returns:
    the name

### getElements

    public Element[] getElements()

  Description copied from interface: `SequenceType`
  Returns all the elements available in this sequence type. This array should be freely modifiable, and changes should not percolate backwards iunto the internal data of the sequence type.

  Specified by:
    `getElements` in interface `SequenceType`
  Returns:
    the elements

### size

    public int size()

  Description copied from interface: `SequenceType`
  Returns the number of elements in this sequence type.

  Specified by:
    `size` in interface `SequenceType`
  Returns:
    the number of elements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD